심장 박동

GET https://uptime4.com/api/heartbeats/
curl --request GET \
--url 'https://uptime4.com/api/heartbeats/' \
--header 'Authorization: Bearer {api_key}' \
매개변수 세부사항 설명
search 선택 사항 문자열 검색 문자열.
search_by 선택 사항 문자열 어떤 필드로 검색하고 있습니까? 허용되는 값은: name.
is_enabled 선택 사항 부울
project_id 선택 사항 정수
datetime_field 선택 사항 문자열 허용된 값: datetime, last_datetime, last_run_datetime
datetime_start 선택 사항 문자열 Filter results starting from this datetime. Y-m-d H:i:s format.
datetime_end 선택 사항 문자열 Filter results up to this datetime. Y-m-d H:i:s format.
order_by 선택 사항 문자열 결과를 정렬할 필드. 허용되는 값은: heartbeat_id, datetime, last_datetime, last_run_datetime, name, uptime.
order_type 선택 사항 문자열 결과의 정렬. 허용되는 값은 ASC로 오름차순 정렬, DESC로 내림차순 정렬입니다.
page 선택 사항 정수 결과를 원하는 페이지 번호입니다. 기본값은 1입니다.
results_per_page 선택 사항 정수 페이지당 원하는 결과 수는 얼마입니까? 허용되는 값은: 10, 25, 50, 100, 250, 500, 1000. 기본값은 25입니다.
{
    "data": [
        {
            "id": 1,
            "project_id": 0,
            "name": "Demo cron",
            "code": "12345678901112131415",
            "settings": {
                "run_interval": 1,
                "run_interval_type": "minutes",
                "run_interval_grace": 1,
                "run_interval_grace_type": "seconds"
            },
            "is_ok": 1,
            "uptime": 75.5,
            "downtime": 24.5,
            "total_runs": 50,
            "total_missed_runs": 15,
            "last_run_datetime": "2021-03-30 19:17:22",
            "notifications": {
                "email_is_enabled": 0,
                "webhook": "",
                "slack": "",
                "twilio": ""
            },
            "is_enabled": true,
            "datetime": "2026-04-21 02:05:06",
        }
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://uptime4.com/api/heartbeats?page=1",
        "last": "https://uptime4.com/api/heartbeats?page=1",
        "next": null,
        "prev": null,
        "self": "https://uptime4.com/api/heartbeats?page=1"
    }
}
GET https://uptime4.com/api/heartbeats/{heartbeat_id}
curl --request GET \
--url 'https://uptime4.com/api/heartbeats/{heartbeat_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "project_id": 0,
        "name": "Demo cron",
        "code": "12345678901112131415",
        "settings": {
            "run_interval": 1,
            "run_interval_type": "minutes",
            "run_interval_grace": 1,
            "run_interval_grace_type": "seconds"
        },
        "is_ok": 1,
        "uptime": 75.5,
        "downtime": 24.5,
        "total_runs": 50,
        "total_missed_runs": 15,
        "last_run_datetime": "2021-03-30 19:17:22",
        "notifications": {
            "email_is_enabled": 0,
            "webhook": "",
            "slack": "",
            "twilio": ""
        },
        "is_enabled": true,
        "datetime": "2026-04-21 02:05:06",
    }
}
POST https://uptime4.com/api/heartbeats
매개변수 세부사항 설명
name 필수 문자열 -
run_interval 선택 사항 정수 -
run_interval_type 선택 사항 문자열 허용된 값: seconds, minutes, hours, days
run_interval_grace 선택 사항 정수 -
run_interval_grace_type 선택 사항 문자열 허용된 값: seconds, minutes, hours, days
is_ok_notifications 선택 사항 배열 알림 처리기 ID
is_enabled 선택 사항 부울 -
curl --request POST \
--url 'https://uptime4.com/api/heartbeats' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'target=example.com' \
{
    "data": {
        "id": 1
    }
}
POST https://uptime4.com/api/heartbeats/{heartbeat_id}
매개변수 세부사항 설명
name 선택 사항 문자열 -
run_interval 선택 사항 정수 -
run_interval_type 선택 사항 문자열 허용된 값: seconds, minutes, hours, days
run_interval_grace 선택 사항 정수 -
run_interval_grace_type 선택 사항 문자열 허용된 값: seconds, minutes, hours, days
is_ok_notifications 선택 사항 배열 알림 처리기 ID
is_enabled 선택 사항 부울 -
curl --request POST \
--url 'https://uptime4.com/api/heartbeats/{heartbeat_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
{
    "data": {
        "id": 1
    }
}
DELETE https://uptime4.com/api/heartbeats/{heartbeat_id}
curl --request DELETE \
--url 'https://uptime4.com/api/heartbeats/{heartbeat_id}' \
--header 'Authorization: Bearer {api_key}' \